Manual

Main Term Representation

# Term Representation (Graph Format)

uDraw(Graph) graphs are given in a format called "term representation" which is composed of plain text ASCII characters. Graphs can be created very easily, even with an ordinary text editor. But in most cases graphs are automatically generated by an application program, for example with the interactive graph editor application which is part of the uDraw(Graph) distribution. All kinds of directed graphs can be specified with a term representation: acyclic and cyclic structures or even graphs with multi-edges (with more than one edge between two nodes) and self-edges (edges where the parent and child node are the same). The term representation of a graph is either loaded from file with menu File/Open... or sent to the API.

- Syntax of the Term Representation
- Multi-Edges and Self-Edges
- Node and Edge Types
- Attributes
- Supported Node Attributes
- Supported Edge Attributes
- Example of a Term Representation